<?xml version="1.0" encoding="utf-8"?>
<resources>


    <attr name="semiSecondaryColor" format="reference" />
    <attr name="tabLayoutTextColor" format="reference" />
    <attr name="colorPrimaryDeepDark" format="reference" />
    <attr name="backgroundColorEditText" format="reference" />
    <attr name="textAppearanceHeadline1AutoSize" format="reference" />
    <attr name="textAppearanceHeadline2AutoSize" format="reference" />
    <attr name="textAppearanceHeadline3AutoSize" format="reference" />
    <attr name="textAppearanceHeadline4AutoSize" format="reference" />
    <attr name="textAppearanceHeadline6AutoSize" format="reference" />
    <attr name="textAppearanceProfileTabLayout" format="reference" />
    <attr name="textAppearanceBody1AutoSize" format="reference" />
    <attr name="textAppearanceCaptionAutoSize" format="reference" />
    <attr name="iconColor" format="reference" />
    <attr name="textColorInverse" format="reference" />
    <attr name="materialButtonStyleSecondary" format="reference" />

    <attr name="pageBackground" format="reference" />


    <declare-styleable name="CircleOptionView">
        <attr name="android:text"/>
        <attr name="srcCompat"/>
        <attr name="android:color"/>
        <attr name="android:textAppearance"/>
        <attr name="android:textColor"/>
        <attr name="fontFamily"/>
        <attr name="autoSizeMaxTextSize"/>
        <attr name="autoSizeMinTextSize"/>
        <attr name="autoSizeTextType"/>
        <attr name="cov_vertical_padding" format="fraction"/>
        <attr name="cov_horizontal_padding" format="fraction"/>
    </declare-styleable>

    <declare-styleable name="ProgressButton">
        <attr name="pb_progress_offset" format="dimension"/>
        <attr name="pb_progress_offset_horizontal_diff" format="dimension"/>
        <attr name="pb_progress_width" format="dimension"/>
        <attr name="pb_progress_color" format="color"/>
        <attr name="pb_progress_duration" format="float"/>
        <attr name="pb_auto_start" format="boolean"/>
    </declare-styleable>

    <declare-styleable name="TailedRoundViewGroup">
        <attr name="trvp_tail_type" format="enum">
            <enum name="BottomLeft" value="0"/>
            <enum name="BottomRight" value="1"/>
            <enum name="TopLeft" value="2"/>
            <enum name="TopRight" value="3"/>
        </attr>
        <attr name="trvp_color" format="color"/>
    </declare-styleable>

    <declare-styleable name="ClippedFrameLayout_Layout">
        <attr name="layout_clv_offset_left" format="fraction"/>
        <attr name="layout_clv_offset_top" format="fraction"/>
        <attr name="layout_clv_offset_right" format="fraction"/>
        <attr name="layout_clv_offset_bottom" format="fraction"/>
    </declare-styleable>


    <declare-styleable name="RelativeTimeTextView">
        <attr format="string" name="relative_time_prefix"/>
        <attr format="string" name="relative_time_suffix"/>
        <attr format="string" name="reference_time"/>
    </declare-styleable>

    <declare-styleable name="AdsBannerView">
        <attr name="abv_location" format="enum">
            <enum name="player" value="0"/>
            <enum name="lockScreen" value="1"/>
            <enum name="floating" value="2"/>
        </attr>
    </declare-styleable>

    <attr name="loadingMaterialButtonStyle" format="reference" />


    <declare-styleable name="OrderAcceptRecyclerViewBehavior_Layout">
        <attr name="behavior_expandedOffsetRef" format="dimension"/>
        <attr name="behavior_maxPercentage" format="float"/>
    </declare-styleable>

    <declare-styleable name="OrderAcceptMapViewBehavior_Layout">
        <attr name="behavior_heightOffset" format="dimension"/>
        <attr name="behavior_parallaxOffset" format="dimension"/>
        <attr name="behavior_isParallax" format="boolean"/>
    </declare-styleable>

    <declare-styleable name="SideScrollBottomSheetBehavior_Layout">
        <attr name="behavior_skipOffset" format="dimension"/>
        <attr name="behavior_toStart" format="boolean"/>
        <attr name="behavior_range" format="dimension"/>
    </declare-styleable>


    <declare-styleable name="BlurLayout">
        <attr format="float" name="blk_downscaleFactor"/>
        <attr format="integer" name="blk_blurRadius"/>
        <attr format="integer" name="blk_fps"/>
        <attr format="dimension" name="blk_cornerRadius"/>
        <attr format="float" name="blk_alpha"/>
    </declare-styleable>
    <declare-styleable name="MapBlurLayout">
        <attr format="reference" name="mbl_mapView"/>
        <attr format="reference|dimension" name="mbl_blurRadius"/>
    </declare-styleable>

    <declare-styleable name="BusinessServiceGridCell">
        <attr name="srcCompat"/>
        <attr name="android:text"/>
        <attr name="android:textColor"/>
        <attr name="android:textSize"/>
        <attr name="font"/>
    </declare-styleable>

    <declare-styleable name="RoundSquareView">
        <attr name="color"/>
        <attr name="rsv_radius_ratio" format="reference|float"/>
    </declare-styleable>

    <attr name="bgColor" format="color" />
    <attr name="bgColorDisabled" format="color" />
    <attr name="progressColor" format="color" />
    <attr name="textColorDisabled" format="color" />
    <attr name="timeout" format="float" />
    <attr name="acceptTime" format="float" />
    <attr name="corner" format="dimension" />

    <declare-styleable name="AcceptButton">
        <attr name="bgColor" />
        <attr name="progressColor" />
        <attr name="timeout" />
        <attr name="acceptTime" />
        <attr name="corner" />
    </declare-styleable>

    <attr name="acceptButtonStyle" format="reference"/>


    <declare-styleable name="BaseRatingBar">
        <attr name="srb_numStars" format="integer"/>
        <attr name="srb_minimumStars" format="float"/>
        <attr name="srb_rating" format="float"/>
        <attr name="srb_starPadding" format="dimension"/>
        <attr name="srb_drawableEmpty" format="reference"/>
        <attr name="srb_drawableFilled" format="reference"/>
        <attr name="srb_isIndicator" format="boolean"/>
        <attr name="srb_scrollable" format="boolean"/>
        <attr name="srb_clickable" format="boolean"/>
        <attr name="srb_clearRatingEnabled" format="boolean"/>
        <attr name="srb_starWidth" format="dimension"/>
        <attr name="srb_starHeight" format="dimension"/>
        <attr name="srb_stepSize" format="float"/>
    </declare-styleable>


    <dimen name="step_progressbar_default_height">2dp</dimen>
    <dimen name="step_progressbar_default_margin">2dp</dimen>
    <declare-styleable name="StepProgressBar">
        <attr format="integer" name="spb_step"/>
        <attr format="integer" name="spb_max"/>
        <attr format="color|reference" name="spb_stepDoneColor"/>
        <attr format="color|reference" name="spb_stepUndoneColor"/>
        <attr format="dimension" name="spb_stepMargin"/>
    </declare-styleable>

    <declare-styleable name="MoneyEditText">
        <attr name="sb_maet_currency" format="string"/>
        <attr name="sb_maet_currency_padding" format="dimension"/>
        <attr name="sb_maet_currency_textColor" format="reference|color"/>
        <attr name="sb_maet_currency_textSize" format="reference|dimension"/>
        <attr name="sb_maet_center_based_on" >
            <enum name="amount_text" value="0"/>
            <enum name="whole_text" value="1"/>
        </attr>

    </declare-styleable>

</resources>